Bem-vindo, Visitante
Nome do utilizador: Senha: Memorizar

TÓPICO: Configuração dos projectos

Configuração dos projectos 07 Jan. 2015 21:27 #8704

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5331
  • Obrigado recebido 741
Lançamos um PACK (para windows) com a API 10.0.8 já com o ambiente de desenvolvimento mais recente devidamente configurado.

Eclipse 3.8 + API 10.0.8: dl.dropboxusercontent.com/u/126065/Colib...libri-api-10.0.8.rar

- Descompactar na raiz.
- Irá ser criada uma pasta "eclipse".
- Projectos estão na pasta "eclipse\workspace" (abrem automaticamente no Package Explorer).
Marco Lopes
Gestor de projecto
Análise e Programação
Última Edição: 07 Jan. 2015 21:29 por marcolopes.
O adminstrador desactivou a escrita pública.

Configuração dos projectos 10 maio 2014 19:34 #7832

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5331
  • Obrigado recebido 741
Abraham escreveu:
Vi no fórum que já não sou o primeiro a ter este problema. E também cheguei a ver que foi enviado um "zip" com o projeto e a nova API, gosta de saber se era possível e de preferência com urgência por favor que me enviassem o falado "zip".

Viva. Peço desculpa pela demora. Efectivamente temos lançado alguns PACKS já com tudo configurado, mas neste momento não temos o pack da API 9.4.3 disponível.

Para questões de TESTE pode usar o pack da API 9.2.0: dl.dropboxusercontent.com/u/126065/Colib...olibri-api-9.2.0.rar

No entanto, se desejar realmente efectuar algum desenvolvimento, o meu conselho é que aguarde pela API 10, pois vão existir alterações / melhorias significativas.
Marco Lopes
Gestor de projecto
Análise e Programação
Última Edição: 10 maio 2014 19:34 por marcolopes.
O adminstrador desactivou a escrita pública.

Configuração dos projectos 08 maio 2014 09:38 #7822

  • Abraham
  • Avatar de Abraham
  • Offline
  • Mensagens: 2
Bom dia,

Tenho um problema que segui todos os passos [code.google.com/p/projectocolibri/wiki/Instalacao] e levou-me ao seguinte problema.

Uma vez concluídos todos os passos não consigo correr o programa devido a erros nos imports, em que não reconhece:

import rcp.colibri.core.vars.LabelVARS.LABELS;
import rcp.colibri.workbench.support.IColibriPerspective;
import rcp.colibri.workbench.support.WorkbenchHelper;
import rcp.colibri.workbench.support.actions.ClosePerspectiveAction;
import rcp.colibri.workbench.support.actions.OpenTabelasPreferenceAction;
import rcp.colibri.workbench.support.actions.ResetPerspectiveAction;
import rcp.colibri.workbench.support.bars.coolbar.ColibriCoolbarItem;
import rcp.colibri.workbench.support.bars.menubar.ColibriMenubarItem;


Vi no fórum que já não sou o primeiro a ter este problema. E também cheguei a ver que foi enviado um "zip" com o projeto e a nova API, gosta de saber se era possível e de preferência com urgência por favor que me enviassem o falado "zip".

Muito obrigado e um abraço!
O adminstrador desactivou a escrita pública.

Configuração dos projectos 20 Dez. 2013 19:54 #7090

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5331
  • Obrigado recebido 741
mike escreveu:
Quando diz até ao final desta semana, é até ao final do dia de hoje? Dando a urgencia que temos em integrar a solução com o nosso software, poderemos não ter margem de manobra para esperar.
Eventualmente seria possível disponibilizarem a última versão disponível da API e dos plugins eclipse correspondentes, isto caso o uso da API 9.2 não comprometa a certificação.

Ainda hoje até ao final do dia será colocada online a versão final da API 9.4.1. Farei um UPDATE no seguinte tópico: www.projectocolibri.com/forum/13-API-Int...3389-API-da-Versão-9
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.

Configuração dos projectos 20 Dez. 2013 11:19 #7088

  • mike
  • Avatar de mike
  • Offline
  • Mensagens: 8
  • Obrigado recebido 4
Quando diz até ao final desta semana, é até ao final do dia de hoje? Dando a urgencia que temos em integrar a solução com o nosso software, poderemos não ter margem de manobra para esperar.
Eventualmente seria possível disponibilizarem a última versão disponível da API e dos plugins eclipse correspondentes, isto caso o uso da API 9.2 não comprometa a certificação.

Obrigado
O adminstrador desactivou a escrita pública.

Configuração dos projectos 20 Dez. 2013 02:26 #7087

  • marcolopes
  • Avatar de marcolopes
  • Offline
  • Mensagens: 5331
  • Obrigado recebido 741
mike escreveu:
No manifest do projeto colibri.rcp.example, na tab "manifest.mf" estas 5 linhas estão marcados com o erro "unsatisfied version constraint"
Nas classes a indicação é que os imports "cannot be resolved".

O problema é relativo aos projectos que estão no repositório, que já foram actualizados de acordo com a API 9.4, no entanto a mesma ainda não foi disponibilizada porque estamos a ultimar o lançamento da versão definitiva!

O meu conselho é que aguarde até ao final desta semana, pois tentaremos colocar a API 9.4 online. Não é aconselhável trabalhar com uma API anterior, uma vez que a versão 9.4 sofreu uma grande revisão: www.projectocolibri.com/forum/13-API-Int...a-Vers%C3%A3o-9#6583
Marco Lopes
Gestor de projecto
Análise e Programação
O adminstrador desactivou a escrita pública.
Moderadores: marcolopes
Desenvolvido por Kunena